import { NO_ERRORS_SCHEMA } from '@angular/core';
import { ComponentFixture, TestBed } from '@angular/core/testing';
import { getMockPipe } from '@shared/pipes/pipe.mock';

import { FlightDetailsDeboardingComponent } from './flight-details-deboarding.component';

describe('FlightDetailsDeboardingComponent', () => {
    let component: FlightDetailsDeboardingComponent;
    let fixture: ComponentFixture<FlightDetailsDeboardingComponent>;

    beforeEach(async () => {
        await TestBed.configureTestingModule({
            declarations: [
                FlightDetailsDeboardingComponent,
                getMockPipe('translate'),
            ],
            schemas: [NO_ERRORS_SCHEMA],
        }).compileComponents();
    });

    beforeEach(() => {
        fixture = TestBed.createComponent(FlightDetailsDeboardingComponent);
        component = fixture.componentInstance;
        fixture.detectChanges();
    });

    it('should create', () => {
        expect(component).toBeTruthy();
    });
});
